# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define section         free

Summary:        Embeddable LDAP server
Name:           apacheds
Version:        1.5.7
Release:        1%{?dist}
Epoch:          0
Group:          Applications/Internet
License:        Apache 2.0 License
URL:            http://directory.apache.org/apacheds/1.5/
Source0:        %{name}-%{version}.tgz
# svn export http://svn.apache.org/repos/asf/directory/apacheds/tags/1.5.7/ apacheds-1.5.7

Source1:        directory-project-17.tgz
# svn export http://svn.apache.org/repos/asf/directory/project/tags/17/ directory-project-17

Source2:        %{name}-jpp-depmap.xml
Source3:        %{name}-settings.xml
Source5:        %{name}.init
Source6:        %{name}.sysconfig
Source7:        %{name}-bootstrapper.properties
Source8:        %{name}-log4j.properties
Source9:        %{name}-server.xml


Patch0:         directory-project-17-pom.patch
Patch1:         apacheds157-xbean-spring-pom.patch

BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5
BuildRequires:  junit44
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-checkstyle
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-pmd
BuildRequires:  maven2-plugin-project-info-reports
BuildRequires:  maven2-plugin-remote-resources
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-stage
BuildRequires:  maven2-default-skin
BuildRequires:  maven-jxr
BuildRequires:  maven-release
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-surefire-report-maven-plugin
BuildRequires:  geronimo-genesis
BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  mojo-maven2-plugin-cobertura
BuildRequires:  mojo-maven2-plugin-rat
BuildRequires:  mojo-maven2-plugin-shade
BuildRequires:  mojo-maven2-plugin-taglist
BuildRequires:  apache-jar-resource-bundle

BuildRequires:  antlr
BuildRequires:  apacheds-daemon-bootstrappers >= 0:1.1.5
BuildRequires:  apacheds-shared-cursor
BuildRequires:  apacheds-shared-dsml-parser
BuildRequires:  apacheds-shared-ldap
BuildRequires:  apacheds-shared-asn1
BuildRequires:  apacheds-shared-asn1-codec
BuildRequires:  apacheds-shared-bouncycastle-reduced
BuildRequires:  apacheds-shared-ldap
BuildRequires:  derby
BuildRequires:  dnsjava
BuildRequires:  excalibur-avalon-logkit
BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  jetty6-core
BuildRequires:  jug
BuildRequires:  ldap-client-api
BuildRequires:  ldapsdk
BuildRequires:  mina
BuildRequires:  nlog4j
BuildRequires:  plexus-archiver
BuildRequires:  plexus-utils
BuildRequires:  qdox
BuildRequires:  quartz
BuildRequires:  spring2-beans
BuildRequires:  spring2-context
BuildRequires:  spring2-core
BuildRequires:  tanukiwrapper
BuildRequires:  velocity
BuildRequires:  xbean
%if %{gcj_support}
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Apache Directory Server is an embeddable LDAP server implemented
in pure Java. It has several features that make it unique amoung 
LDAP servers. These features are described below:
* Designed as an LDAP and X.500 experimentation platform. Plugable
  components and subsystems make ApacheDS extremely modular and ideal
  for experiments with various aspects of the LDAP protocol.
* The server's frontend is completely separable from its backend 
  and vice-versa making it very flexible for implementing virtual
  directories, proxy servers and gateways to X.500.
* Several backends can be implemented and plugged into the server's
  partition nexus. The server supports a BTree based partition out of
  the box but any backing store can be used to implement a partition
  so long as it conforms to interfaces.
* The server exposes aspects of administration via a special system
  backend. LDAP can be used to manage these concerns through the 
  system naming context at ou=system.
* Java based triggers and stored procedures are being implemented.
* Both the backend subsystem and the frontend are separable and
  independently embeddable.
* The server contains a server side JNDI LDAP provider as the facade
  for the entire backend subsystem. JNDI operations are directly
  translated by this provider into operations against the nexus and
  the target partitions storing server entries.
* The server will use JNDI as the data access API for stored procedures.
  This will make stored procedures functional within and outside of
  the server without requiring recompilation.
* The server's networking code, MINA, Multipurpose Infrastructure for
  Network Applications was designed for pluggable protocol providers,
  of all sorts and not just LDAP. MINA gives ApacheDS the ability to
  handle large amounts of concurrency.
* The server uses the Snickers tools and APIs for ASN.1 BER encoding
  and decoding. These tools are designed for a very small encoding
  and decoding footprint as well as for use in non-blocking servers.


%package base
Group:          Applications/Internet
Summary:        ApacheDS install base
Obsoletes:      %{name}-sar-plugin < %{epoch}:%{version}-%{release}
Obsoletes:      %{name}-server-sar < %{epoch}:%{version}-%{release}
Obsoletes:      %{name}-server-ssl < %{epoch}:%{version}-%{release}
Obsoletes:      %{name}-testcase-archetype < %{epoch}:%{version}-%{release}

%description base
%{summary}.

%package all
Group:          Applications/Internet
Summary:        ApacheDS in one uberjar

%description all
%{summary}.


%package core
Group:          Applications/Internet
Summary:        ApacheDS Core Subsystem
Obsoletes:      %{name}-core-plugin < %{epoch}:%{version}-%{release}
Provides:       %{name}-core-plugin = %{epoch}:%{version}-%{release}
Obsoletes:      %{name}-core-shared < %{epoch}:%{version}-%{release}
Provides:       %{name}-core-shared = %{epoch}:%{version}-%{release}
Obsoletes:      %{name}-core-unit < %{epoch}:%{version}-%{release}
Provides:       %{name}-core-unit = %{epoch}:%{version}-%{release}
Requires:       %{name}-base = %{epoch}:%{version}-%{release}
Requires:       %{name}-jdbm = %{epoch}:%{version}-%{release}
Requires:       %{name}-utils = %{epoch}:%{version}-%{release}
Requires:       %{name}-xdbm = %{epoch}:%{version}-%{release}
Requires:       antlr
Requires:       apacheds-shared-cursor
Requires:       apacheds-shared-dsml-parser
Requires:       apacheds-shared-ldap
Requires:       excalibur-avalon-logkit
Requires:       apache-commons-collections
Requires:       apache-commons-io
Requires:       apache-commons-lang
Requires:       junit44
Requires:       maven2
Requires:       velocity

%description core
- Server's core contains the JNDI provider, interceptors, 
  schema, and database subsystems.  The core is the heart 
  of the server without protocols enabled.
- A linked in memory AVL tree implementation with Cursor.
- Contains classes that store interfaces with various 
  constants in ApacheDS.
- Cursor interfaces used by the server core.
- Server side LDAP entry classes.
- Integration testing framework for Apache Directory Server.
- Contains a JNDI provider implementation which wraps the 
  core so existing applications based on JNDI can use the 
  server embedded transparently.  Remote and local runtime 
  operations will appear and feel exactly the same with a 
  performance boost when local.  All operations via this 
  JNDI provider bypass the LDAP stack to perform ooerations 
  directly on the ApacheDS core.
- A collection of tools as plugins to manage various tasks 
  associated with the directory server.
- Shared classes between the core plugin and the core to 
  prevent cyclic dependencies since the core uses the core 
  plugin.
- A linked in memory splay tree implementation with Cursor.
- Core unit tests.

%package kerberos
Group:          Applications/Internet
Summary:        ApacheDS Kerberos 
Obsoletes:      %{name}-kerberos-shared < %{epoch}:%{version}-%{release}
Provides:       %{name}-kerberos-shared = %{epoch}:%{version}-%{release}
Requires:       %{name}-base = %{epoch}:%{version}-%{release}
Requires:       %{name}-protocol-shared = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       mina11

%description kerberos
- The Kerberos protocol provider for ApacheDS.
- Interceptors used by the ApacheDS kerberos service.

%package jdbm
Group:          Applications/Internet
Summary:        ApacheDS Jdbm
Requires:       %{name}-base = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-xdbm = %{epoch}:%{version}-%{release}

%description jdbm
- A specific JDBM Implementation.
- A JDBM entry store which does not have any dependency on 
  core interfaces.  The JDBM partition will use this store 
  and build on it to adapt this to server specific partition
  interfaces.  Having this separate module without 
  dependencies on core interfaces makes it easier to avoid 
  cyclic dependencies between modules.  This is especially
  important for use within the bootstrap plugin which needs 
  to build the schema partition used for bootstrapping the 
  server.

%package protocol-changepw
Group:          Applications/Internet
Summary:        ApacheDS Protocol Change Password
Requires:       %{name}-base = %{epoch}:%{version}-%{release}
Requires:       %{name}-kerberos = %{epoch}:%{version}-%{release}

%description protocol-changepw
The Change Password protocol provider for ApacheDS.

%package protocol-dhcp
Group:          Applications/Internet
Summary:        ApacheDS Protocol Dhcp
Requires:       %{name}-base = %{epoch}:%{version}-%{release}
Requires:       %{name}-protocol-shared = %{epoch}:%{version}-%{release}
Requires:       mina11

%description protocol-dhcp
The DHCP protocol provider for ApacheDS.

%package protocol-dns
Group:          Applications/Internet
Summary:        ApacheDS Protocol Dns
Requires:       %{name}-base = %{epoch}:%{version}-%{release}
Requires:       %{name}-protocol-shared = %{epoch}:%{version}-%{release}

%description protocol-dns
The DNS protocol provider for ApacheDS.

%package protocol-kerberos
Group:          Applications/Internet
Summary:        ApacheDS Protocol Kerberos
Requires:       %{name}-base = %{epoch}:%{version}-%{release}
Requires:       %{name}-kerberos = %{epoch}:%{version}-%{release}

%description protocol-kerberos
The Kerberos protocol provider for ApacheDS.

%package protocol-ldap
Group:          Applications/Internet
Summary:        ApacheDS Protocol Ldap
Requires:       %{name}-base = %{epoch}:%{version}-%{release}
Requires:       %{name}-kerberos = %{epoch}:%{version}-%{release}
Requires:       apacheds-shared-asn1-codec
Requires:       apacheds-shared-ldap
Requires:       mina11
Requires:       mina11-filter-ssl

%description protocol-ldap
The LDAPv3 protocol provider for ApacheDS.

%package protocol-ntp
Group:          Applications/Internet
Summary:        ApacheDS Protocol Ntp
Requires:       %{name}-base = %{epoch}:%{version}-%{release}
Requires:       %{name}-protocol-shared = %{epoch}:%{version}-%{release}
Requires:       mina11

%description protocol-ntp
The NTP protocol provider for ApacheDS.

%package protocol-shared
Group:          Applications/Internet
Summary:        ApacheDS Protocol Shared
Requires:       %{name}-base = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       mina11

%description protocol-shared
Shared library that is used by all protocol providers 
in ApacheDS.

%package server
Group:          Applications/Internet
Summary:        ApacheDS Server modules
Obsoletes:      %{name}-server-jndi < %{epoch}:%{version}-%{release}
Provides:       %{name}-server-jndi = %{epoch}:%{version}-%{release}
Obsoletes:      %{name}-server-main < %{epoch}:%{version}-%{release}
Provides:       %{name}-server-main = %{epoch}:%{version}-%{release}
Obsoletes:      %{name}-server-tools < %{epoch}:%{version}-%{release}
Provides:       %{name}-server-tools = %{epoch}:%{version}-%{release}
Obsoletes:      %{name}-server-unit < %{epoch}:%{version}-%{release}
Provides:       %{name}-server-unit = %{epoch}:%{version}-%{release}
Requires:       %{name}-base = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-kerberos = %{epoch}:%{version}-%{release}
Requires:       %{name}-protocol-ldap = %{epoch}:%{version}-%{release}
Requires:       apacheds-daemon-bootstrappers
Requires:       dnsjava
Requires:       apache-commons-cli
Requires:       apache-commons-io
Requires:       apache-commons-lang
Requires:       junit44
Requires:       ldapsdk
Requires:       slf4j
Requires:       spring2-beans
Requires:       spring2-context
Requires:       spring2-core
Requires:       tanukiwrapper
Requires:       xbean

%description server
- Integration testing framework for Apache Directory Server.
- The JNDI provider which launches the core and associated
  network services: Changepw, Kerberos, LDAP, and NTP if
  all are configured. By default only LDAP is configured
  to startup.
- A multi-master replication service for replicating 
  information across ApacheDS instances.  This service is 
  modeled as an interceptor.
- Various commandline utilities for apacheds.
- Unit testing framework for ApacheDS Server JNDI Provider.
- A single authoritative server.xml file.

%package utils
Group:          Applications/Internet
Summary:        ApacheDS Utils
Requires:       %{name}-base = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}

%description utils
Contains utility classes for ApacheDS.

%package xbean-spring
Group:          Applications/Internet
Summary:        ApacheDS XBean Spring
Requires:       %{name}-base = %{epoch}:%{version}-%{release}
Requires:       xbean
Requires:       qdox
Requires:       spring2-beans
Requires:       spring2-context
Requires:       spring2-core

%description xbean-spring
%{summary}.

%package xdbm
Group:          Applications/Internet
Summary:        ApacheDS XDBM
Requires:       %{name}-base = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       apache-commons-io

%description xdbm
- Base XDBM (btree based) entry store interfaces.
- Search engine implementation generalized for XDBM entry 
  store scheme.
- Generalized (X) DBM Tools:
  Several kinds of two column key/value data structures, in
  memory and on  disk which sort keys can can be used to 
  implement xdbm partitions.  JDBM is one example.  These 
  partition use the same database structure or scheme for 
  maintaining LDAP entries and facilitating search operations 
  on them.  This module contains common tools that could be 
  used to manage aspects  common to all xdbm implementations.


%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
%{summary}.

%package manual
Group:          Development/Documentation
Summary:        Documents for %{name}

%description manual
%{summary}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}
gzip -dc %{SOURCE1} | tar xf -

%patch0 -b .sav0
%patch1 -b .sav1

%build
cp %{SOURCE3} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP


export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository
export MAVEN_OPTS="-Xmx512m"

mkdir -p $MAVEN_REPO_LOCAL/org/apache/directory/project/project/12/
cp directory-project-17/pom.xml \
   $MAVEN_REPO_LOCAL/org/apache/directory/project/project/12/project-12.pom
mkdir -p $MAVEN_REPO_LOCAL/org/apache/directory/project/project/17/
cp directory-project-17/pom.xml \
   $MAVEN_REPO_LOCAL/org/apache/directory/project/project/17/project-17.pom

export MAVEN_OPTS="-Xmx768m -XX:MaxPermSize=128m"

mvn-jpp \
        -e \
        -s $M2SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.test.failure.ignore=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install

mvn-jpp \
        -e \
        -s $M2SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Daggregate=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        javadoc:javadoc


%install
rm -rf $RPM_BUILD_ROOT

# system
install -d -m 0755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -m 0755 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}
install -d -m 0755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 0644 %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}

# home
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
ln -sf /usr/sbin/jsvc apacheds
ln -sf $(build-classpath apacheds-daemon-bootstrappers) bootstrapper.jar
ln -sf $(build-classpath nlog4j) logger.jar
ln -sf $(build-classpath commons-daemon) daemon.jar
popd
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/conf
install -m 0755 %{SOURCE7} $RPM_BUILD_ROOT%{_datadir}/%{name}/conf/bootstrapper.properties
install -m 0755 %{SOURCE8} $RPM_BUILD_ROOT%{_datadir}/%{name}/conf/log4j.properties
install -m 0755 %{SOURCE9} $RPM_BUILD_ROOT%{_datadir}/%{name}/conf/server.xml

install -d -m 0755 $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/lib/ext
build-jar-repository $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/lib \
antlr \
apacheds-shared-asn1-codec \
apacheds-shared-asn1 \
apacheds-shared-ldap \
backport-util-concurrent \
commons-collections \
commons-logging \
mina/core \
mina/filter-ssl \
spring2/beans \
spring2/context \
spring2/core \

install -d -m 0755 $RPM_BUILD_ROOT%{_localstatedir}/%{name}
ln -sf %{_localstatedir}/%{name} $RPM_BUILD_ROOT%{_datadir}/%{name}/var
install -d -m 0755 $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
ln -sf %{_localstatedir}/log/%{name} $RPM_BUILD_ROOT%{_localstatedir}/%{name}/log
install -d -m 0755 $RPM_BUILD_ROOT%{_localstatedir}/%{name}/run
ln -sf %{_localstatedir}/tmp $RPM_BUILD_ROOT%{_localstatedir}/%{name}/tmp
install -d -m 0755 $RPM_BUILD_ROOT%{_localstatedir}/%{name}/partitions
ln -sf %{_localstatedir}/lib/%{name}/lib $RPM_BUILD_ROOT%{_datadir}/%{name}/lib


# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -m 644 all/target/%{name}-all-%{version}-app.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/all-app-%{version}.jar
install -m 644 all/target/%{name}-all-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/all-%{version}.jar

install -m 644 avl-partition/target/%{name}-avl-partition-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/avl-partition-%{version}.jar

install -m 644 core-annotations/target/%{name}-core-annotations-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core-annotations-%{version}.jar
install -m 644 core-api/target/%{name}-core-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core-api-%{version}.jar
install -m 644 core-avl/target/%{name}-core-avl-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core-avl-%{version}.jar
install -m 644 core-constants/target/%{name}-core-constants-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core-constants-%{version}.jar
install -m 644 core-entry/target/%{name}-core-entry-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core-entry-%{version}.jar
install -m 644 core-integ/target/%{name}-core-integ-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core-integ-%{version}.jar
install -m 644 core-jndi/target/%{name}-core-jndi-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core-jndi-%{version}.jar
install -m 644 core-mock/target/%{name}-core-mock-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core-mock-%{version}.jar
install -m 644 core/target/%{name}-core-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar

install -m 644 default-config/target/%{name}-default-config-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/default-config-%{version}.jar
install -m 644 http-integration/target/%{name}-http-integration-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/http-integration-%{version}.jar
install -m 644 i18n/target/%{name}-i18n-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/i18n-%{version}.jar
install -m 644 interceptor-kerberos/target/%{name}-interceptor-kerberos-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/interceptor-kerberos-%{version}.jar
install -m 644 jdbm-partition/target/%{name}-jdbm-partition-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jdbm-partition-%{version}.jar
install -m 644 jdbm-store/target/%{name}-jdbm-store-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jdbm-store-%{version}.jar
install -m 644 jdbm/target/%{name}-jdbm-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jdbm-%{version}.jar
install -m 644 kerberos-shared/target/%{name}-kerberos-shared-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/kerberos-shared-%{version}.jar
install -m 644 kerberos-test/target/%{name}-kerberos-test-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/kerberos-test-%{version}.jar
install -m 644 ldif-partition/target/%{name}-ldif-partition-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ldif-partition-%{version}.jar
#install -m 644 osgi/target/osgi-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/osgi-%{version}.jar

install -m 644 protocol-changepw/target/%{name}-protocol-changepw-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/protocol-changepw-%{version}.jar
install -m 644 protocol-dhcp/target/%{name}-protocol-dhcp-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/protocol-dhcp-%{version}.jar
install -m 644 protocol-dns/target/%{name}-protocol-dns-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/protocol-dns-%{version}.jar
install -m 644 protocol-kerberos/target/%{name}-protocol-kerberos-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/protocol-kerberos-%{version}.jar
install -m 644 protocol-ldap/target/%{name}-protocol-ldap-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/protocol-ldap-%{version}.jar
install -m 644 protocol-ntp/target/%{name}-protocol-ntp-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/protocol-ntp-%{version}.jar
install -m 644 protocol-shared/target/%{name}-protocol-shared-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/protocol-shared-%{version}.jar

install -m 644 server-annotations/target/%{name}-server-annotations-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-annotations-%{version}.jar
install -m 644 server-integ/target/%{name}-server-integ-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-integ-%{version}.jar
install -m 644 server-jndi/target/%{name}-server-jndi-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-jndi-%{version}.jar
install -m 644 server-replication/target/%{name}-server-replication-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-replication-%{version}.jar
install -m 644 server-tools/target/%{name}-server-tools-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-tools-%{version}.jar
install -m 644 server-xml/target/%{name}-server-xml-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-xml-%{version}.jar

install -m 644 test-framework/target/%{name}-test-framework-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/test-framework-%{version}.jar

install -m 644 utils/target/%{name}-utils-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/utils-%{version}.jar
install -m 644 xbean-spring/target/%{name}-xbean-spring-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xbean-spring-%{version}.jar

install -m 644 xdbm-base/target/%{name}-xdbm-base-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xdbm-base-%{version}.jar
install -m 644 xdbm-search/target/%{name}-xdbm-search-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xdbm-search-%{version}.jar
install -m 644 xdbm-tools/target/%{name}-xdbm-tools-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xdbm-tools-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# poms and depmap frags
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 directory-project-17/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-project.pom
%add_to_maven_depmap org.apache.directory.project project 15 JPP/%{name} project

install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-parent.pom
%add_to_maven_depmap org.apache.directory.server %{name}-parent %{version} JPP/%{name} parent

install -m 644 all/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-all.pom
%add_to_maven_depmap org.apache.directory.server %{name}-all %{version} JPP/%{name} all
install -m 644 avl-partition/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-avl-partition.pom
%add_to_maven_depmap org.apache.directory.server %{name}-avl-partition %{version} JPP/%{name} avl-partition
install -m 644 benchmarks/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-benchmarks.pom
%add_to_maven_depmap org.apache.directory.server %{name}-benchmarks %{version} JPP/%{name} benchmarks

install -m 644 core-annotations/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core-annotations.pom
%add_to_maven_depmap org.apache.directory.server %{name}-core-annotations %{version} JPP/%{name} core-annotations
install -m 644 core-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core-api.pom
%add_to_maven_depmap org.apache.directory.server %{name}-core-api %{version} JPP/%{name} core-api
install -m 644 core-avl/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core-avl.pom
%add_to_maven_depmap org.apache.directory.server %{name}-core-avl %{version} JPP/%{name} core-avl
install -m 644 core-constants/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core-constants.pom
%add_to_maven_depmap org.apache.directory.server %{name}-core-constants %{version} JPP/%{name} core-constants
install -m 644 core-entry/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core-entry.pom
%add_to_maven_depmap org.apache.directory.server %{name}-core-entry %{version} JPP/%{name} core-entry
install -m 644 core-integ/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core-integ.pom
%add_to_maven_depmap org.apache.directory.server %{name}-core-integ %{version} JPP/%{name} core-integ
install -m 644 core-jndi/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core-jndi.pom
%add_to_maven_depmap org.apache.directory.server %{name}-core-jndi %{version} JPP/%{name} core-jndi
install -m 644 core-mock/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core-mock.pom
%add_to_maven_depmap org.apache.directory.server %{name}-core-mock %{version} JPP/%{name} core-mock
install -m 644 core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom
%add_to_maven_depmap org.apache.directory.server %{name}-core %{version} JPP/%{name} core

install -m 644 default-config/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-default-config.pom
%add_to_maven_depmap org.apache.directory.server %{name}-default-config %{version} JPP/%{name} default-config
install -m 644 http-integration/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-http-integration.pom
%add_to_maven_depmap org.apache.directory.server %{name}-http-integration %{version} JPP/%{name} http-integration
install -m 644 i18n/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-i18n.pom
%add_to_maven_depmap org.apache.directory.server %{name}-i18n %{version} JPP/%{name} i18n

install -m 644 interceptor-kerberos/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-interceptor-kerberos.pom
%add_to_maven_depmap org.apache.directory.server %{name}-interceptor-kerberos %{version} JPP/%{name} interceptor-kerberos
install -m 644 jdbm/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jdbm.pom
%add_to_maven_depmap org.apache.directory.server %{name}-jdbm %{version} JPP/%{name} jdbm
install -m 644 jdbm-partition/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jdbm-partition.pom
%add_to_maven_depmap org.apache.directory.server %{name}-jdbm-partition %{version} JPP/%{name} jdbm-partition
install -m 644 jdbm-store/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jdbm-store.pom
%add_to_maven_depmap org.apache.directory.server %{name}-jdbm-store %{version} JPP/%{name} jdbm-store
install -m 644 kerberos-shared/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-kerberos-shared.pom
%add_to_maven_depmap org.apache.directory.server %{name}-kerberos-shared %{version} JPP/%{name} kerberos-shared
install -m 644 kerberos-test/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-kerberos-test.pom
%add_to_maven_depmap org.apache.directory.server %{name}-kerberos-test %{version} JPP/%{name} kerberos-test

install -m 644 ldif-partition/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ldif-partition.pom
%add_to_maven_depmap org.apache.directory.server %{name}-ldif-partition %{version} JPP/%{name} ldif-partition
install -m 644 osgi/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-osgi.pom
%add_to_maven_depmap org.apache.directory.server %{name}-osgi %{version} JPP/%{name} osgi

install -m 644 protocol-changepw/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-protocol-changepw.pom
%add_to_maven_depmap org.apache.directory.server %{name}-protocol-changepw %{version} JPP/%{name} protocol-changepw
install -m 644 protocol-dhcp/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-protocol-dhcp.pom
%add_to_maven_depmap org.apache.directory.server %{name}-protocol-dhcp %{version} JPP/%{name} protocol-dhcp
install -m 644 protocol-dns/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-protocol-dns.pom
%add_to_maven_depmap org.apache.directory.server %{name}-protocol-dns %{version} JPP/%{name} protocol-dns
install -m 644 protocol-kerberos/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-protocol-kerberos.pom
%add_to_maven_depmap org.apache.directory.server %{name}-protocol-kerberos %{version} JPP/%{name} protocol-kerberos
install -m 644 protocol-ldap/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-protocol-ldap.pom
%add_to_maven_depmap org.apache.directory.server %{name}-protocol-ldap %{version} JPP/%{name} protocol-ldap
install -m 644 protocol-ntp/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-protocol-ntp.pom
%add_to_maven_depmap org.apache.directory.server %{name}-protocol-ntp %{version} JPP/%{name} protocol-ntp
install -m 644 protocol-shared/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-protocol-shared.pom
%add_to_maven_depmap org.apache.directory.server %{name}-protocol-shared %{version} JPP/%{name} protocol-shared

install -m 644 server-annotations/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-server-annotations.pom
%add_to_maven_depmap org.apache.directory.server %{name}-server-annotations %{version} JPP/%{name} server-annotations
install -m 644 server-integ/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-server-integ.pom
%add_to_maven_depmap org.apache.directory.server %{name}-server-integ %{version} JPP/%{name} server-integ
install -m 644 server-jndi/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-server-jndi.pom
%add_to_maven_depmap org.apache.directory.server %{name}-server-jndi %{version} JPP/%{name} server-jndi
install -m 644 server-replication/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-server-replication.pom
%add_to_maven_depmap org.apache.directory.server %{name}-server-replication %{version} JPP/%{name} server-replication
install -m 644 server-sar/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-server-sar.pom
%add_to_maven_depmap org.apache.directory.server %{name}-server-sar %{version} JPP/%{name} server-sar
install -m 644 server-tools/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-server-tools.pom
%add_to_maven_depmap org.apache.directory.server %{name}-server-tools %{version} JPP/%{name} server-tools
install -m 644 server-xml/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-server-xml.pom
%add_to_maven_depmap org.apache.directory.server %{name}-server-xml %{version} JPP/%{name} server-xml
install -m 644 syncrepl/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-syncrepl.pom
%add_to_maven_depmap org.apache.directory.server %{name}-syncrepl %{version} JPP/%{name} syncrepl
install -m 644 test-framework/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-test-framework.pom
%add_to_maven_depmap org.apache.directory.server %{name}-test-framework %{version} JPP/%{name} test-framework
install -m 644 utils/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-utils.pom
%add_to_maven_depmap org.apache.directory.server %{name}-utils %{version} JPP/%{name} utils
install -m 644 xbean-spring/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xbean-spring.pom
%add_to_maven_depmap org.apache.directory.server %{name}-xbean-spring %{version} JPP/%{name} xbean-spring
install -m 644 xdbm-base/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xdbm-base.pom
%add_to_maven_depmap org.apache.directory.server %{name}-xdbm-base %{version} JPP/%{name} xdbm-base
install -m 644 xdbm-search/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xdbm-search.pom
%add_to_maven_depmap org.apache.directory.server %{name}-xdbm-search %{version} JPP/%{name} xdbm-search
install -m 644 xdbm-tools/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xdbm-tools.pom
%add_to_maven_depmap org.apache.directory.server %{name}-xdbm-tools %{version} JPP/%{name} xdbm-tools

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -sf %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} #ghost
mv target/site/apidocs target/api

# manual
install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#cp -pr target/site/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%if %{gcj_support}
%post core
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun core
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post kerberos
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun kerberos
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post protocol-changepw
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun protocol-changepw
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post protocol-dhcp
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun protocol-dhcp
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post protocol-dns
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun protocol-dns
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post protocol-kerberos
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun protocol-kerberos
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post protocol-ldap
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun protocol-ldap
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post protocol-ntp
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun protocol-ntp
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post protocol-shared
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun protocol-shared
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post base
%update_maven_depmap

%postun base
%update_maven_depmap

%post server
# install apacheds (but don't activate)
/sbin/chkconfig --add %{name}
# Create automated links - since all needed extensions may not have been
# installed for this jvm output is muted
# Try to set a sensible jvm
unset JAVA_HOME
[ -r %{_sysconfdir}/sysconfig/%{name} ] && . %{_sysconfdir}/sysconfig/%{name}
[ -z "$JAVA_HOME" ] && [ -r %{_sysconfdir}/java/java.conf ] && \
    . %{_sysconfdir}/java/java.conf
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
# Remove old automated symlinks
for repository in %{_localstatedir}/lib/%{name}/lib ; do
    find $repository -name '\[*\]*.jar' -not -type d | xargs rm -f
done
build-jar-repository %{_localstatedir}/lib/%{name}/lib \
antlr \
apacheds/core-shared \
apacheds/core \
apacheds/kerberos-shared \
apacheds/protocol-changepw \
apacheds/protocol-kerberos \
apacheds/protocol-ldap \
apacheds/protocol-shared \
apacheds/server-jndi \
apacheds-shared-asn1-codec \
apacheds-shared-asn1 \
apacheds-shared-bouncycastle-reduced \
apacheds-shared-ldap \
backport-util-concurrent \
commons-collections \
commons-logging \
mina/core \
mina/filter-ssl \
spring/beans \
spring/context \
spring/core \
2>&1

%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun server
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files base
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%dir %{_javadir}/%{name}
%doc LICENSE
%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name}
%endif

%files all
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/all*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/all*-%{version}.jar.*
%endif

%files core
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/core*.jar
%{_javadir}/%{name}/i18n*.jar
%{_javadir}/%{name}/test-framework*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/core-plugin-%{version}.jar.*
%endif

%files jdbm
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/jdbm*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/jdbm*-%{version}.jar.*
%endif

%files kerberos
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/kerberos-shared*.jar
%{_javadir}/%{name}/interceptor-kerberos*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/kerberos-shared-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/interceptor-kerberos-%{version}.jar.*
%endif

%files protocol-changepw
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/protocol-changepw*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/protocol-changepw-%{version}.jar.*
%endif

%files protocol-dhcp
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/protocol-dhcp*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/protocol-dhcp-%{version}.jar.*
%endif

%files protocol-dns
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/protocol-dns*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/protocol-dns-%{version}.jar.*
%endif

%files protocol-kerberos
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/protocol-kerberos*.jar
%{_javadir}/%{name}/kerberos-test*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/protocol-kerberos-%{version}.jar.*
%endif

%files protocol-ldap
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/protocol-ldap*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/protocol-ldap-%{version}.jar.*
%endif

%files protocol-ntp
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/protocol-ntp*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/protocol-ntp-%{version}.jar.*
%endif

%files protocol-shared
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/protocol-shared*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/protocol-shared-%{version}.jar.*
%endif

%files server
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/server*.jar
%{_javadir}/%{name}/default-config*.jar
%{_javadir}/%{name}/ldif-partition*.jar
%{_javadir}/%{name}/avl-partition*.jar
%{_javadir}/%{name}/http-integration*.jar

%attr(755,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%{_sysconfdir}/sysconfig/%{name}
#%attr(-,apacheds,apacheds) %dir %{_datadir}/%{name}
%attr(-,apacheds,apacheds) %{_datadir}/%{name}
#%{_datadir}/%{name}/bin
#%{_datadir}/%{name}/conf
#%{_datadir}/%{name}/lib
#%{_datadir}/%{name}/var
%attr(-,apacheds,apacheds) %{_localstatedir}/%{name}
%attr(-,apacheds,apacheds) %{_localstatedir}/log/%{name}
%attr(-,apacheds,apacheds) %{_localstatedir}/lib/%{name}
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/server-main-%{version}.jar.*
%endif

%files utils
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/utils*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/utils*-%{version}.jar.*
%endif

%files xbean-spring
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/xbean-spring*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/xbean-spring*-%{version}.jar.*
%endif

%files xdbm
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}/xdbm*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/xdbm*-%{version}.jar.*
%endif

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}

%changelog
* Sat Jul 02 2011 Ralph Apel <r.apel at r-apel.de> 0:1.5.7-1
- 1.5.7

* Sun Mar 20 2011 Ralph Apel <r.apel at r-apel.de> 0:1.5.5-1
- 1.5.5

* Sun Mar 20 2011 Ralph Apel <r.apel at r-apel.de> 0:1.5.4-2
- Add poms and depmap frags

* Thu Apr 16 2009 Ralph Apel <r.apel at r-apel.de> 0:1.5.4-1.jpp5
- 1.5.4

* Sat Oct 28 2006 Ralph Apel <r.apel at r-apel.de> 0:1.0.0-1jpp
- First JPackage release.
- Add post/postun Requires for javadoc
- Add gcj_support option
- Add --with java5 option for full build
- Patched server-sar to jboss4
